unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function IsThemeXPActive: Boolean;
// renvoie True si le style XP est le style de l'affichage
// SysUtils doit tre dasn les Uses
const
  themelib = 'uxtheme.dll';
type
  TIsThemeActive = function: BOOL; stdcall;
var
  IsThemeActive: TIsThemeActive;
  huxtheme: HMODULE;
begin 
  Result := False; 
  // Vrification que le systme est XP ou postrieur
  if (Win32Platform  = VER_PLATFORM_WIN32_NT) and
    (((Win32MajorVersion = 5) and (Win32MinorVersion >= 1)) or
      (Win32MajorVersion > 5)) then 
  begin 
    huxtheme := LoadLibrary(themelib);
    if huxtheme <> 0 then 
    begin
      try
        // rcupration de la fonction qui permet de connaitre si le thme XP
        // est actif
        IsThemeActive := GetProcAddress(huxtheme, 'IsThemeActive');
        // utilisation de cette fonction
        Result := IsThemeActive;
      finally
      if huxtheme > 0 then FreeLibrary(huxtheme);
      end; 
    end; 
  end; 
end;



procedure TForm1.Button1Click(Sender: TObject);
begin
if IsThemeXPActive then
  ShowMessage('Thme : Style XP')
  else ShowMessage('Pas de thme ''Style XP''');
end;

end.




